CVE-2002-1279
CVSS7.2
发布时间 :2002-11-29 00:00:00
修订时间 :2008-09-10 15:14:13
NMCOS    

[原文]Multiple buffer overflows in conf.c for Masqmail 0.1.x before 0.1.17, and 0.2.x before 0.2.15, allow local users to gain privileges via certain entries in the configuration file (-C option).


[CNNVD]MasqMail缓冲区溢出漏洞(CNNVD-200211-069)

        conf.c for Masqmail 0.1.17之前的0.1.x版本和0.2.15之前的0.2.x版本存在多个缓冲区溢出漏洞。本地用户可以借助配置文件(-C选项)的某些条目提升特权。

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-1279
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-1279
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200211-069
(官方数据源) CNNVD

- 其它链接及资源

http://www.debian.org/security/2002/dsa-194
(VENDOR_ADVISORY)  DEBIAN  DSA-194
http://www.securityfocus.com/bid/6164
(UNKNOWN)  BID  6164
http://www.iss.net/security_center/static/10605.php
(VENDOR_ADVISORY)  XF  masqmail-bo(10605)
http://lists.masqmail.cx/pipermail/masqmail/2002-November/000041.html
(UNKNOWN)  CONFIRM  http://lists.masqmail.cx/pipermail/masqmail/2002-November/000041.html
http://lists.masqmail.cx/pipermail/masqmail/2002-November/000040.html
(UNKNOWN)  CONFIRM  http://lists.masqmail.cx/pipermail/masqmail/2002-November/000040.html

- 漏洞信息

MasqMail缓冲区溢出漏洞
高危 缓冲区溢出
2002-11-29 00:00:00 2005-10-20 00:00:00
本地  
        conf.c for Masqmail 0.1.17之前的0.1.x版本和0.2.15之前的0.2.x版本存在多个缓冲区溢出漏洞。本地用户可以借助配置文件(-C选项)的某些条目提升特权。

- 公告与补丁

        The following fixes are available:
        MasqMail MasqMail 0.1.16
        

- 漏洞信息

14519
MasqMail -C Parameter Multiple Local Overflows
Input Manipulation
Loss of Integrity

- 漏洞描述

Unknown or Incomplete

- 时间线

2002-11-12 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 0.1.17 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

MasqMail Buffer Overflow Vulnerability
Boundary Condition Error 6164
No Yes
2002-11-12 12:00:00 2009-07-11 07:16:00
Vulnerability announced in a Debian Security Advisory.

- 受影响的程序版本

MasqMail MasqMail 0.1.16

- 漏洞讨论

A buffer overflow vulnerability has been reported for MasqMail. It has been reported that the vulnerability may be exploited by a local attacker to execute arbitrary commands with the privileges of MasqMail.

Precise technical details regarding the cause of this issue are not yet known. This BID will be updated as further information becomes available.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 解决方案

The following fixes are available:


MasqMail MasqMail 0.1.16

- 相关参考

     

     

    关于SCAP中文社区

    SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

    版权声明

    CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站